import { jsx } from "react/jsx-runtime";
import { VisorIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Visor = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Visor", ...props, children: /* @__PURE__ */ jsx(VisorIcon, { weight: variant }) });
  }
);
Visor.displayName = "Visor";
Object.assign(Visor, { isGdsIcon: true });
export {
  Visor
};
